Name:		libaccounts-qt
Version:	1.11
Release:	5%{?dist}
Summary:	Accounts framework Qt bindings
Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://code.google.com/p/accounts-sso/
Source0:	http://accounts-sso.googlecode.com/files/accounts-qt-%{version}.tar.bz2
Patch1:		libaccounts-qt-64bitarchs.patch
BuildRequires:	qt-devel libaccounts-glib-devel
BuildRequires:	doxygen graphviz

%description
Framework to provide accounts for Qt.

%package devel
Summary:	Development files for accounts-qt
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	qt4-devel%{?_isa}

%description devel
Headers, development libraries and documentation for accounts-qt.

%prep
%setup -q -n accounts-qt-%{version}
%patch1 -p1 -b .64bitarchs

%build
export PATH=%{_qt4_bindir}:$PATH
%{_qt4_qmake} QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=release accounts-qt.pro

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

rm -f %{buildroot}/%{_datadir}/doc/accounts-qt/html/installdox

#remove tests for now
rm -rf %{buildroot}%{_datadir}/%{name}-tests
rm -f %{buildroot}%{_bindir}/accountstest

# move installed docs to include them in subpackage via %%doc magic
rm -rf __tmp_doc ; mkdir __tmp_doc
mv %{buildroot}%{_docdir}/accounts-qt __tmp_doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_includedir}/accounts-qt/
%{_libdir}/pkgconfig/accounts-qt.pc
%{_libdir}/cmake/AccountsQt
%doc __tmp_doc/accounts-qt/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 25 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.11-4
- Update 64 bits arch patch

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.11-2
- Rebuild against fixed qt to fix -debuginfo (#1074041)

* Wed Feb 26 2014 Daniel Vrátil <dvratil@redhat.com> - 1.11-1
- Update to 1.11

* Sat Dec 14 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.6-4
- Fix duplicate documentation (#1001255)
- Add %%?_isa to -devel base package dep
- Remove %%defattr

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 06 2013 Karsten Hopp <karsten@redhat.com> 1.6-2
- add s390x and ppc64 to 64bit archs using lib64 

* Mon Mar 04 2013 Jaroslav Reznik <jreznik@redhat.com> - 1.6-1
- Update to 1.6
- Fix rebuild issues with GCC 4.8
- Remove accounts-tool
- Cleanup

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.31-3
- Fix doc path

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.31-2
- Small fix for description

* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.31-1
- New upstream release
- Several changes against package review

* Fri Jul 23 2010 Chen Lei <supercyper@163.com> - 0.28-1
- Initial packaging for Fedora

* Mon Jun 14 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 0.28
- Update to latest version
